Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4254)
@@ -14,10 +14,10 @@
   public class UptimeManager {
 
-    private AppointmentContainer _appContainer = null;
+    private AppointmentContainer appContainer = null;
     public AppointmentContainer AppContainer {
       get {
-        if (_appContainer == null)
+        if (appContainer == null)
           RestoreFromHDD();
-        return _appContainer;
+        return appContainer;
       }
     }    
@@ -65,5 +65,5 @@
         try {
           r = new StreamReader(path + "calendar.xml");
-          _appContainer = (AppointmentContainer)s.Deserialize(r);
+          appContainer = (AppointmentContainer)s.Deserialize(r);
           CalendarAvailable = true;
         }
@@ -71,5 +71,5 @@
           Logger.Error("Deserialization of Calendar failed", e);
           Logger.Info("Starting with a new one");
-          _appContainer = new AppointmentContainer();
+          appContainer = new AppointmentContainer();
           CalendarAvailable = false;
         }
@@ -79,5 +79,5 @@
         }
       } else {
-        _appContainer = new AppointmentContainer();
+        appContainer = new AppointmentContainer();
       }
     }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4254)
@@ -78,17 +78,15 @@
     public void Start() {
       abortRequested = false;
-      Logger.Info("Hive Client started");
+      Logger.Info("Hive Slave started");
       SlaveConsoleServer server = new SlaveConsoleServer();
-      server.StartClientConsoleServer(new Uri("net.tcp://127.0.0.1:8000/ClientConsole/"));
+      server.StartClientConsoleServer(new Uri("net.tcp://127.0.0.1:8000/SlaveConsole/"));
 
       ConfigManager manager = ConfigManager.Instance;
       manager.Core = this;
-
-
 
       //Register all Wcf Service references
       wcfService = WcfService.Instance;
       wcfService.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(wcfService_LoginCompleted);
-      wcfService.SendJobCompleted += new EventHandler<SendJobCompletedEventArgs>(wcfService_SendJobCompleted);
+      wcfService.SendJobCompleted += new EventHandler<GetJobCompletedEventArgs>(wcfService_GetJobCompleted);
       wcfService.StoreFinishedJobResultCompleted += new EventHandler<StoreFinishedJobResultCompletedEventArgs>(wcfService_StoreFinishedJobResultCompleted);
       wcfService.ProcessSnapshotCompleted += new EventHandler<ProcessSnapshotCompletedEventArgs>(wcfService_ProcessSnapshotCompleted);
@@ -96,4 +94,5 @@
       wcfService.ServerChanged += new EventHandler(wcfService_ServerChanged);
       wcfService.Connected += new EventHandler(wcfService_Connected);
+
       //Recover Server IP and Port from the Settings Framework
       ConnectionContainer cc = ConfigManager.Instance.GetServerIPAndPort();
@@ -131,12 +130,10 @@
             Logger.Error("AbortJob: Engine doesn't exist");
           break;
+
         //Job has been successfully aborted
-
-
         case MessageContainer.MessageType.JobAborted:
           Guid jobId = new Guid(container.JobId.ToString());
           KillAppDomain(jobId);
           break;
-
 
         //Request a Snapshot from the Execution Engine
@@ -145,7 +142,6 @@
             engines[container.JobId].RequestSnapshot();
           else
-            Logger.Error("RequestSnapshot: Engine doesn't exist");
-          break;
-
+            Logger.Error("RequestSnapshot: Engine with Job doesn't exist");
+          break;
 
         //Snapshot is ready and can be sent back to the Server
@@ -153,5 +149,4 @@
           ThreadPool.QueueUserWorkItem(new WaitCallback(GetSnapshot), container.JobId);
           break;
-
 
         //Pull a Job from the Server
@@ -243,5 +238,6 @@
           KillAppDomain(jId);
         }
-      } catch (InvalidStateException ise) {
+      }
+      catch (InvalidStateException ise) {
         Logger.Error("Invalid State while Snapshoting:", ise);
       }
@@ -302,51 +298,50 @@
     /// <param name="sender"></param>
     /// <param name="e"></param>
-    void wcfService_SendJobCompleted(object sender, SendJobCompletedEventArgs e) {
+    void wcfService_GetJobCompleted(object sender, GetJobCompletedEventArgs e) {
       if (e.Result.StatusMessage != ApplicationConstants.RESPONSE_COMMUNICATOR_NO_JOBS_LEFT) {
-        Logger.Info("Received new job with id " + e.Result.Job.Id);
+        Logger.Info("Received new job with id " + e.Result.Obj.Id);
         bool sandboxed = false;
-        Logger.Debug("Fetching plugins for job " + e.Result.Job.Id);
-
-        PluginCache.Instance.PreparePlugins(e.Result.Job.PluginsNeeded);
-
-        PluginCache.Instance.CopyPluginsForJob(e.Result.Job.PluginsNeeded, e.Result.Job.Id);
+        Logger.Debug("Fetching plugins for job " + e.Result.Obj.Id);
+
+        PluginCache.Instance.PreparePlugins(e.Result.Obj.PluginsNeeded);
+
+        PluginCache.Instance.CopyPluginsForJob(e.Result.Obj.PluginsNeeded, e.Result.Obj.Id);
 
         //        foreach (CachedHivePluginInfoDto plugininfo in PluginCache.Instance.GetPlugins(e.Result.Job.PluginsNeeded))
         //        files.AddRange(plugininfo.PluginFiles);
-        Logger.Debug("Plugins fetched for job " + e.Result.Job.Id);
+        Logger.Debug("Plugins fetched for job " + e.Result.Obj.Id);
         try {
-          String pluginDir = Path.Combine(PluginCache.PLUGIN_REPO, e.Result.Job.Id.ToString());
-          
+          String pluginDir = Path.Combine(PluginCache.PLUGIN_REPO, e.Result.Obj.Id.ToString());
+
           AppDomain appDomain = HeuristicLab.PluginInfrastructure.Sandboxing.SandboxManager.CreateAndInitSandbox(pluginDir, null);
           appDomain.UnhandledException += new UnhandledExceptionEventHandler(appDomain_UnhandledException);
           lock (engines) {
-            if (!jobs.ContainsKey(e.Result.Job.Id)) {
-              jobs.Add(e.Result.Job.Id, e.Result.Job);
-              appDomains.Add(e.Result.Job.Id, appDomain);
+            if (!jobs.ContainsKey(e.Result.Obj.Id)) {
+              jobs.Add(e.Result.Obj.Id, e.Result.Obj);
+              appDomains.Add(e.Result.Obj.Id, appDomain);
               Logger.Debug("Creating AppDomain");
-              Executor engine =
-                (Executor)
-                appDomain.CreateInstanceAndUnwrap(typeof(Executor).Assembly.GetName().Name, typeof(Executor).FullName);
+              Executor engine = (Executor)appDomain.CreateInstanceAndUnwrap(typeof(Executor).Assembly.GetName().Name, typeof(Executor).FullName);
               Logger.Debug("Created AppDomain");
-              engine.JobId = e.Result.Job.Id;
+              engine.JobId = e.Result.Obj.Id;
               engine.Queue = MessageQueue.GetInstance();
-              Logger.Debug("Starting Engine for job " + e.Result.Job.Id);
+              Logger.Debug("Starting Engine for job " + e.Result.Obj.Id);
               engine.Start(e.Data);
-              engines.Add(e.Result.Job.Id, engine);
+              engines.Add(e.Result.Obj.Id, engine);
 
               SlaveStatusInfo.JobsFetched++;
-
               Logger.Info("Increment FetchedJobs to:" + SlaveStatusInfo.JobsFetched);
             }
           }
-        } catch (Exception exception) {
-          Logger.Error("Creating the Appdomain and loading the job failed for job " + e.Result.Job.Id);
+        }
+        catch (Exception exception) {
+          Logger.Error("Creating the Appdomain and loading the job failed for job " + e.Result.Obj.Id);
           Logger.Error("Error thrown is: ", exception);
           CurrentlyFetching = false;
-          KillAppDomain(e.Result.Job.Id);
-          wcfService.StoreFinishedJobResultsSync(ConfigManager.Instance.GetClientInfo().Id, e.Result.Job.Id, new byte[] { }, 1, exception, true);
-        }
-      } else
+          KillAppDomain(e.Result.Obj.Id);
+          wcfService.StoreFinishedJobResultsSync(ConfigManager.Instance.GetClientInfo().Id, e.Result.Obj.Id, new byte[] { }, 1, exception, true);
+        }
+      } else {
         Logger.Info("No more jobs left!");
+      }
       CurrentlyFetching = false;
     }
@@ -480,5 +475,6 @@
           PluginCache.Instance.DeletePluginsForJob(id);
           GC.Collect();
-        } catch (Exception ex) {
+        }
+        catch (Exception ex) {
           Logger.Error("Exception when unloading the appdomain: ", ex);
         }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs	(revision 4254)
@@ -124,5 +124,5 @@
 
     void wcfService_ProcessHeartBeatCompleted(object sender, ProcessHeartBeatCompletedEventArgs e) {
-      Logger.Debug("Heartbeat received");
+      Logger.Debug("Heartbeat Response received");
       e.Result.ActionRequest.ForEach(mc => MessageQueue.GetInstance().AddMessage(mc));
     }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4254)
@@ -15,18 +15,18 @@
 namespace HeuristicLab.Hive.Slave.Core.JobStorage {
   public class JobStorageManager {
-    
+
     private static List<JobStorageInfo> storedJobsList = new List<JobStorageInfo>();
 
     private static String path = System.IO.Directory.GetCurrentDirectory() + "\\Hive.Slave.Jobs\\";
-    
+
     public static void PersistObjectToDisc(String serverIP, long serverPort, Guid jobId, byte[] job) {
       String filename = serverIP + "." + serverPort + "." + jobId.ToString();
       JobStorageInfo info = new JobStorageInfo { JobID = jobId, ServerIP = serverIP, ServerPort = serverPort, TimeFinished = DateTime.Now };
-      
+
       Stream jobstream = null;
       try {
         jobstream = File.Create(path + filename + ".dat");
         jobstream.Write(job, 0, job.Length);
-        storedJobsList.Add(info);        
+        storedJobsList.Add(info);
         Logger.Info("Job " + info.JobID + " stored on the harddisc");
       }
@@ -35,16 +35,15 @@
       }
       finally {
-        if(jobstream!=null)
+        if (jobstream != null)
           jobstream.Close();
       }
 
       StoreJobList();
-
     }
 
     public static void CheckAndSubmitJobsFromDisc() {
-      for(int index=storedJobsList.Count; index > 0; index--) {
-        if (WcfService.Instance.ConnState == NetworkEnum.WcfConnState.Loggedin && (storedJobsList[index-1].ServerIP == WcfService.Instance.ServerIP && storedJobsList[index-1].ServerPort == WcfService.Instance.ServerPort)) {
-          String filename = storedJobsList[index-1].ServerIP + "." + storedJobsList[index-1].ServerPort + "." + storedJobsList[index-1].JobID.ToString();          
+      for (int index = storedJobsList.Count; index > 0; index--) {
+        if (WcfService.Instance.ConnState == NetworkEnum.WcfConnState.Loggedin && (storedJobsList[index - 1].ServerIP == WcfService.Instance.ServerIP && storedJobsList[index - 1].ServerPort == WcfService.Instance.ServerPort)) {
+          String filename = storedJobsList[index - 1].ServerIP + "." + storedJobsList[index - 1].ServerPort + "." + storedJobsList[index - 1].JobID.ToString();
           Logger.Info("Sending stored job " + storedJobsList[index - 1].JobID + " to the server");
           try {
@@ -59,5 +58,5 @@
             SlaveStatusInfo.JobsProcessed++;
             storedJobsList.Remove(storedJobsList[index - 1]);
-            File.Delete(path + filename + ".dat"); 
+            File.Delete(path + filename + ".dat");
           }
           catch (Exception e) {
@@ -66,12 +65,11 @@
             StoreJobList();
           }
-      
-         }
         }
+      }
     }
 
     public static void StoreJobList() {
       XmlSerializer serializer = new XmlSerializer(typeof(List<JobStorageInfo>));
-      TextWriter writer = new StreamWriter(Path.Combine(path ,"list.xml"));
+      TextWriter writer = new StreamWriter(Path.Combine(path, "list.xml"));
       serializer.Serialize(writer, storedJobsList);
       writer.Close();
@@ -82,8 +80,8 @@
       if (!Directory.Exists(path))
         Directory.CreateDirectory(path);
-            
+
       XmlSerializer serializer = new XmlSerializer(typeof(List<JobStorageInfo>));
       FileStream stream = null;
-      if(File.Exists(Path.Combine(path ,"list.xml"))) {
+      if (File.Exists(Path.Combine(path, "list.xml"))) {
         try {
           stream = new FileStream(Path.Combine(path, "list.xml"), FileMode.Open);
@@ -94,6 +92,7 @@
         catch (Exception e) {
           Logger.Error("Exception while loading the Stored Job List", e);
-        } finally {
-          if(stream != null) 
+        }
+        finally {
+          if (stream != null)
             stream.Dispose();
         }
@@ -103,5 +102,4 @@
       }
     }
-    
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4254)
@@ -97,12 +97,9 @@
 
       Logger.Debug("First run - Update the plugins in the cache");
-
       localPlugins.AddRange(missingPlugins);
-
-      List<CachedHivePluginInfoDto> updateablePlugins = WcfService.Instance.RequestPlugins(localPlugins);
+      IEnumerable<CachedHivePluginInfoDto> updateablePlugins = WcfService.Instance.RequestPlugins(localPlugins);
 
       foreach (CachedHivePluginInfoDto updateablePlugin in updateablePlugins) {
-        PluginDescription pd =
-          cachedPlugins.Where(cachedPlugin => cachedPlugin.Name.Equals(updateablePlugin.Name)).SingleOrDefault();
+        PluginDescription pd = cachedPlugins.Where(cachedPlugin => cachedPlugin.Name.Equals(updateablePlugin.Name)).SingleOrDefault();
 
         if (pd != null) {
@@ -115,7 +112,4 @@
         Logger.Debug("deleted old files");
         Logger.Debug("creating new files");
-
-
-
         foreach (HivePluginFile pf in updateablePlugin.PluginFiles) {
           File.WriteAllBytes(PLUGIN_REPO + pf.Name.Split('\\').Last(), pf.BinaryFile);
